Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 856272 - PRD34 -[RFE] Adding Disk to a VM which is not down adds a Disk that is not activated
Summary: PRD34 -[RFE] Adding Disk to a VM which is not down adds a Disk that is not ac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.1.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard: storage
: 1047273 1053887 (view as bug list)
Depends On:
Blocks: 1047273 1053887 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2012-09-11 15:30 UTC by GenadiC
Modified: 2014-09-18 12:24 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
With this update, newly created disks that are attached to running virtual machines are automatically activated after creation.
Clone Of:
: 1047273 (view as bug list)
Environment:
Last Closed: 2014-06-09 14:58:21 UTC
oVirt Team: ---
Target Upstream Version:
scohen: needinfo+


Attachments (Terms of Use)
engine log with the problem (deleted)
2012-09-11 15:30 UTC, GenadiC
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 21851 None None None Never

Description GenadiC 2012-09-11 15:30:56 UTC
Created attachment 611823 [details]
engine log with the problem

Description of problem:
Run A VM with operating system installed and then try to add a Virtual Disk to VM. The disk will be added as deactivated

How reproducible:
Always

Steps to Reproduce:
1. Run a VM with operating system
2. Add a Virtual Disk to it
3.
  
Actual results:
Disk is added as inactive

Expected results:
Disk should be activated when added

Additional info:
When performing attach disk  - the disk is added as activated

Comment 1 Itamar Heim 2012-09-11 20:17:45 UTC
iirc, that's the behavior in 3.1, which can be improved in a future version (adding a checkbox to the dialog about for 'activate').

Comment 2 Haim 2012-09-12 07:49:16 UTC
(In reply to comment #1)
> iirc, that's the behavior in 3.1, which can be improved in a future version
> (adding a checkbox to the dialog about for 'activate').

what's the different between network and disk in this matter ? since for network object it works as expected.

Comment 3 Ayal Baron 2012-12-27 15:27:30 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > iirc, that's the behavior in 3.1, which can be improved in a future version
> > (adding a checkbox to the dialog about for 'activate').
> 
> what's the different between network and disk in this matter ? since for
> network object it works as expected.

The difference that in network it is just 2 actions: attach and plug
For disk it is 'create, attach and plug'

Comment 4 Allon Mureinik 2013-03-28 11:41:16 UTC
The activation can be done in the endAction of the command.

Need to think whether we want to just change the behaviour, or leave it as a non-default option so it won't break customer's pre-existing automated flows (e.g., REST, automated tests, etc.)

Comment 8 Sandro Bonazzola 2014-01-14 08:44:39 UTC
ovirt 3.4.0 alpha has been released

Comment 9 Sean Cohen 2014-01-20 09:48:45 UTC
*** Bug 1053887 has been marked as a duplicate of this bug. ***

Comment 10 Sean Cohen 2014-01-20 11:31:00 UTC
*** Bug 1047273 has been marked as a duplicate of this bug. ***

Comment 12 Aharon Canan 2014-03-06 09:54:00 UTC
Verified using 3.4 av2 (with RHEL guest)
TCMS run - https://tcms.engineering.redhat.com/run/119325/

please be aware to bug https://bugzilla.redhat.com/show_bug.cgi?id=1055403

(in case that Vm state is not up, the disk will be created and attached but won't be activated - audit logs appears)

Comment 13 errata-xmlrpc 2014-06-09 14:58:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.